org.optaplanner.core.impl.phase.event

## Class PhaseLifecycleSupport<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.AbstractEventSupport<PhaseLifecycleListener<Solution_>>
  - - org.optaplanner.core.impl.phase.event.PhaseLifecycleSupport<Solution_>

-     public class PhaseLifecycleSupport<Solution_>
      extends AbstractEventSupport<PhaseLifecycleListener<Solution_>>

  Internal API.

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.solver.event.AbstractEventSupport

      `eventListenerSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseLifecycleSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `firePhaseEnded(AbstractPhaseScope<Solution_> phaseScope)`
    `void` | `firePhaseStarted(AbstractPhaseScope<Solution_> phaseScope)`
    `void` | `fireSolvingEnded(DefaultSolverScope<Solution_> solverScope)`
    `void` | `fireSolvingStarted(DefaultSolverScope<Solution_> solverScope)`
    `void` | `fireStepEnded(AbstractStepScope<Solution_> stepScope)`
    `void` | `fireStepStarted(AbstractStepScope<Solution_> stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.AbstractEventSupport

      `addEventListener, removeEventListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseLifecycleSupport

          public PhaseLifecycleSupport()

  - ### Method Detail

    - #### fireSolvingStarted

          public void fireSolvingStarted(DefaultSolverScope<Solution_> solverScope)

    - #### firePhaseStarted

          public void firePhaseStarted(AbstractPhaseScope<Solution_> phaseScope)

    - #### fireStepStarted

          public void fireStepStarted(AbstractStepScope<Solution_> stepScope)

    - #### fireStepEnded

          public void fireStepEnded(AbstractStepScope<Solution_> stepScope)

    - #### firePhaseEnded

          public void firePhaseEnded(AbstractPhaseScope<Solution_> phaseScope)

    - #### fireSolvingEnded

          public void fireSolvingEnded(DefaultSolverScope<Solution_> solverScope)

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.